package vip.xiaonuo.money.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.money.entity.MoneyBorrowWarning;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.money.entity.vo.MoneyBankNameVo;
import vip.xiaonuo.money.entity.vo.MoneyBorrowPriceVo;

import java.util.List;

/**
 * <p>
 * 财务临近还款期预警 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-11-20
 */
public interface MoneyBorrowWarningMapper extends BaseMapper<MoneyBorrowWarning> {

    List<MoneyBankNameVo> getBankRank(@Param(Constants.WRAPPER) QueryWrapper<MoneyBorrowWarning> queryWrapper);

    List<MoneyBorrowPriceVo> getBorrowPrice(@Param(Constants.WRAPPER) QueryWrapper<MoneyBorrowWarning> queryWrapper);
}
