package vip.xiaonuo.money.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 财务预警通知
 * </p>
 *
 * @author author
 * @since 2024-11-22
 */
@Data
public class MoneyPeopleAddParam implements Serializable {

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 1)
    private String orgId;

    /**
     * 重要预警通知人
     */
    @ApiModelProperty(value = "重要预警通知人", position = 2)
    private String important;

    /**
     * 普通预警通知人
     */
    @ApiModelProperty(value = "普通预警通知人", position = 3)
    private String ordinary;

    /**
     * 提醒预警通知人
     */
    @ApiModelProperty(value = "提醒预警通知人", position = 4)
    private String remind;

    @ApiModelProperty(value = "预警类型 0为财务依次累加", position = 5)
    private String type;


}
