package vip.xiaonuo.production.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 计划生产量填报
 * </p>
 *
 * @author author
 * @since 2025-02-25
 */
@Data
public class ProductionWritePlanAddParam  {

    /**
     * 计划生产量
     */
    @ApiModelProperty(value = "计划生产量",position = 1)
    private String productionPlan;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称",position = 2)
    private String productionName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",position = 3)
    @JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
    private Date createTime;

    /**
     * 车间名称
     */
    @ApiModelProperty(value = "车间名称",position = 4)
    private String locationName;

    /**
     * 车间id
     */
    @ApiModelProperty(value = "车间id",position = 5)
    private String locationId;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position = 6)
    private String orgId;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "公司名称",position = 7)
    private String orgName;

}
