package vip.xiaonuo.purchase.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

@Data
public class PurchaseOrderTypeVo {

    @ApiModelProperty(value = "原材料", position = 1)
    private String material;

    @ApiModelProperty(value = "本月采购金额", position = 2)
    private String monthMoney;

    @ApiModelProperty(value = "本年采购金额", position = 3)
    private String yearMoney;

    @ApiModelProperty(value = "上年本月采购金额", position = 4)
    private String lastMonthMoney;

    @ApiModelProperty(value = "上年采购金额", position = 5)
    private String lastYearMoney;
}
