package vip.xiaonuo.purchase.service;

import vip.xiaonuo.purchase.entity.PurchasePrice;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.purchase.entity.vo.PurchasePriceVo;
import vip.xiaonuo.purchase.param.PurchasePriceParam;

import java.util.List;

/**
 * <p>
 * 采购单品价格表 服务类
 * </p>
 *
 * @author author
 * @since 2024-11-27
 */
public interface IPurchasePriceService extends IService<PurchasePrice> {

    //采购单品价格环比
    List<PurchasePriceVo> getList(PurchasePriceParam priceParam);

}
