package vip.xiaonuo.sale.service;

import vip.xiaonuo.sale.entity.SaleCustomer;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.sale.entity.vo.SaleCustomerVo;
import vip.xiaonuo.sale.param.SaleCustomerParam;

import java.util.List;

/**
 * <p>
 * 销售客户贡献 服务类
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
public interface ISaleCustomerService extends IService<SaleCustomer> {

    List<SaleCustomer> getList(SaleCustomerParam customerParam);

    //大屏客户销售金额分析，只取top10
    List<SaleCustomer> getListTop(SaleCustomerParam customerParam);

    //大屏客户销售金额变动分析
    List<SaleCustomerVo> getDetail(SaleCustomerParam customerParam);
}
