package vip.xiaonuo.money.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 财务应收分析逾期填报
 * </p>
 *
 * @author author
 * @since 2025-02-26
 */
@Data
public class MoneyWriteOverdueAddParam  {

    /**
     * 单据编号
     */
    @ApiModelProperty(value = "单据编号", position = 1)
    private String documentNumber;

    /**
     * 单据类型
     */
    @ApiModelProperty(value = "单据类型", position = 2)
    private String documentType;

    /**
     * 单据状态
     */
    @ApiModelProperty(value = "单据状态", position = 3)
    private String documentStatus;

    /**
     * 客户
     */
    @ApiModelProperty(value = "客户", position = 4)
    private String userName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 5)
    private Date createTime;

    /**
     * 到期日
     */
    @ApiModelProperty(value = "到期日", position = 6)
    private Date endTime;

    /**
     * 逾期金额
     */
    @ApiModelProperty(value = "逾期金额", position = 7)
    private String money;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 8)
    private String orgId;


}
