package vip.xiaonuo.sale.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 销售客户贡献
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@Data

public class SaleCustomerVo  {

    /**
     * 客户名称
     */
    @ApiModelProperty(value = "客户名称", position =1)
    private String customer;

    /**
     * 销售额
     */
    @ApiModelProperty(value = "本年销售额", position =2)
    private String saleMoney;

    /**
     * 销售额
     */
    @ApiModelProperty(value = "去年销售额", position =3)
    private String lastSaleMoney;

}
